Announcement

Collapse
No announcement yet.

Some Fresh Linux 4.8 + Mesa 12.1-dev OpenGL Benchmarks For Radeon GPUs

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Some Fresh Linux 4.8 + Mesa 12.1-dev OpenGL Benchmarks For Radeon GPUs

    Phoronix: Some Fresh Linux 4.8 + Mesa 12.1-dev OpenGL Benchmarks For Radeon GPUs

    For those craving some fresh Mesa Git benchmarks, here are a few OpenGL tests I carried out with some AMD Radeon GPUs when comparing the out-of-the-box Ubuntu 16.04 LTS performance to what's offered currently by Linux 4.8 and Mesa 12.1-dev Git...

    http://www.phoronix.com/scan.php?pag...-Mesa-121-Comp

  • #2
    I think llvm is borked currently, so take results with a grain of salt

    Comment


    • #3
      My Ubuntu 16.04 LTS is not 'out-of-the-box', but with xenial-proposed kernel (4.4.0-38-generic), Mesa 12.1 (oibaf PPA) and linux-firmware package from Yakkety (1.161) my RX470 works without problems, even HDMI audio works.

      System details shows "Gallium 0.4 on AMD POLARIS10 (DRM 3.2.0 / 4.4.0-38-generic, LLVM 3.9.0)"

      I wanted to use 4.8 kernel but I have no HDMI audio

      Comment


      • #4
        Originally posted by UbayGd View Post
        My Ubuntu 16.04 LTS is not 'out-of-the-box', but with xenial-proposed kernel (4.4.0-38-generic), Mesa 12.1 (oibaf PPA) and linux-firmware package from Yakkety (1.161) my RX470 works without problems, even HDMI audio works.
        How is that possible? You need DAL for HDMI audio… right?

        Comment


        • #5
          Originally posted by UbayGd View Post
          My Ubuntu 16.04 LTS is not 'out-of-the-box', but with xenial-proposed kernel (4.4.0-38-generic), Mesa 12.1 (oibaf PPA) and linux-firmware package from Yakkety (1.161) my RX470 works without problems, even HDMI audio works.

          System details shows "Gallium 0.4 on AMD POLARIS10 (DRM 3.2.0 / 4.4.0-38-generic, LLVM 3.9.0)"

          I wanted to use 4.8 kernel but I have no HDMI audio
          Did you use the amdgpu-pro kernel driver?

          Comment


          • #6
            Originally posted by Chewi View Post

            How is that possible? You need DAL for HDMI audio… right?
            I dont know how, but the audio works. Using 4.6 and 4.8 from Canonical Kernel Team PPA for Yakkety, audio doesnt work.

            Originally posted by JonathanM View Post

            Did you use the amdgpu-pro kernel driver?
            I used it before, but now I only use Mesa 12.1

            Comment


            • #7
              Kernel 4.7 or later is required for Polaris AFAIK... either you have no accel, or ubuntu backported amdgpu something or you have some amdgpu-pro leftover or...

              Comment


              • #8
                Originally posted by UbayGd View Post

                I dont know how, but the audio works. Using 4.6 and 4.8 from Canonical Kernel Team PPA for Yakkety, audio doesnt work.
                I used it before, but now I only use Mesa 12.1
                To me it sounds like the kernel module is still installed as a normal 4.4 kernel doesn't support polaris and the amdgpu-pro dkms package can be used in combination with stock mesa (git/12.1) without problems.

                Comment


                • #9
                  Originally posted by JonathanM View Post

                  To me it sounds like the kernel module is still installed as a normal 4.4 kernel doesn't support polaris and the amdgpu-pro dkms package can be used in combination with stock mesa (git/12.1) without problems.
                  Code:
                  [email protected]:~$ dkms status
                  aziokbd, 1.0.0, 4.4.0-38-generic, x86_64: installed
                  bbswitch, 0.8, 4.4.0-38-generic, x86_64: installed
                  virtualbox, 5.0.24, 4.4.0-38-generic, x86_64: installed
                  I'm sure that AMDGPU-PRO is properly uninstalled, with the command 'amdgpu-pro-uninstall'.

                  Comment


                  • #10
                    Better check logs, if amdgpu Polaris works with 4.4 kernel then probably Jupiter did the job

                    Comment

                    Working...
                    X